# $Revision: 1.25 $, $Date: 2006/01/22 11:58:52 $
Summary:	Implementation of French-KiSS for GNOME
Summary(pl):	Implementacja French-KiSS dla GNOME
Name:		gnomekiss
Version:	1.6
Release:	6
License:	GPL
Group:		X11/Applications/Games
Source0:	http://www.ecs.soton.ac.uk/~njl98r/code/kiss/%{name}-%{version}.tar.gz
# Source0-md5:	1b25fdb9c9e2959cd9f31c7550a8b0fa
Patch0:		%{name}-desktop.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GnomeKiss is an implementation of French-KiSS for the GNOME desktop
environment, using GNOME, GTK+ and the X Window System. French KiSS is
an enhanced KiSS/GS for scriptable dolls, where KiSS is an
abbreviation for Kisekae Set System (or something).

%description -l pl
GnomeKiss jest implementacj French-KiSS dla desktopu GNOME.
Wykorzystuje GNOME, GTK+ i rodowisko X Window. French KiSS jest
rozszerzonym KiSS/GS do oskryptowanych lalek, podczas gdy KiSS jest
implementacj Kissekae Set System (czy jako tak).

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# duplicates es
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/es_ES
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README NEWS AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/%{name}.desktop
%{_mandir}/man1/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnomekiss.spec,v $
Revision 1.25  2006/01/22 11:58:52  ankry
- rel.6, STBR

Revision 1.24  2006/01/22 11:58:07  ankry
- updated desktop patch

Revision 1.23  2004/11/03 12:03:44  paladine
- rel 5 for fixed desktop patch

Revision 1.22  2004/10/06 11:45:28  qboosh
- no //

Revision 1.21  2004/09/20 07:14:44  ankry
- desktop fixes, rel. 4

Revision 1.20  2004/09/19 21:30:42  ankry
- remove es_ES translation, rel. 3

Revision 1.19  2004/08/18 20:31:50  undefine
- release 2

Revision 1.18  2003/07/24 23:18:20  deejay1
- finished, rel. 1

Revision 1.17  2003/07/24 12:46:54  deejay1
- up to 1.6, NFY (.desktop issue)

Revision 1.16  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.15  2003/05/25 05:48:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/18 22:50:06  juandon
- removed two lines with define

Revision 1.13  2002/11/27 20:15:42  juandon
- new %%doc

Revision 1.12  2002/10/09 13:14:27  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/06/23 20:52:51  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.10  2002/05/21 23:13:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/04/25 16:26:30  arturs
fixed a small typo

Revision 1.8  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.7  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/21 07:33:32  kloczek
- updated to 1.2,
- enable %%find_lang.

Revision 1.4  2001/10/09 03:09:43  kloczek
- updated to 1.0.

Revision 1.3  2001/10/04 15:07:06  qboosh
- BuildRequires: autoconf, automake

Revision 1.2  2001/08/24 06:36:47  kloczek
- updated to 0.9.1.

Revision 1.1  2001/07/25 10:17:59  undefine
- initital PLD version
